[android-components](../../../index.md) / [org.mozilla.telemetry.util](../../index.md) / [FileUtils](../index.md) / [FilenameRegexFilter](./index.md)

# FilenameRegexFilter

`open class FilenameRegexFilter : `[`FilenameFilter`](https://developer.android.com/reference/java/io/FilenameFilter.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/service/telemetry/src/main/java/org/mozilla/telemetry/util/FileUtils.java#L29)

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `FilenameRegexFilter(pattern: `[`Pattern`](https://developer.android.com/reference/java/util/regex/Pattern.html)`)` |

### Functions

| Name | Summary |
|---|---|
| [accept](accept.md) | `open fun accept(dir: `[`File`](https://developer.android.com/reference/java/io/File.html)`, filename: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`Boolean`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-boolean/index.html) |
